%define name    scons
%define version 0.93
%define release 1

Summary:      an Open Source software construction tool
Name:         %{name}
Version:      %{version}
Release:      %{?release_prefix:%{release_prefix}.}%{release}%{?release_suffix:.%{release_suffix}}
Source0:      %{name}-%{version}.tar.gz
#Copyright: Steven Knight
License:      MIT, freely distributable
URL:          http://www.scons.org/
Group:        Development/Tools
Vendor:       Steven Knight <knight@scons.org>
BuildRoot:    %{_tmppath}/%{name}-buildroot
Packager:     Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>, Steven Knight <knight@scons.org>
Distribution: Planet CCRMA

Requires:           python >= 1.5
BuildArchitectures: noarch

%description
SCons is an Open Source software construction tool--that is, a build
tool; an improved substitute for the classic Make utility; a better way
to build software.  SCons is based on the design which won the Software
Carpentry build tool design competition in August 2000.

SCons "configuration files" are Python scripts, eliminating the need
to learn a new build tool syntax.  SCons maintains a global view of
all dependencies in a tree, and can scan source (or other) files for
implicit dependencies, such as files specified on #include lines.  SCons
uses MD5 signatures to rebuild only when the contents of a file have
really changed, not just when the timestamp has been touched.  SCons
supports side-by-side variant builds, and is easily extended with user-
defined Builder and/or Scanner objects.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES \
       --install-lib=%{_libdir}/scons --install-scripts=%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
gzip -c scons.1 > $RPM_BUILD_ROOT%{_mandir}/man1/scons.1.gz
gzip -c sconsign.1 > $RPM_BUILD_ROOT%{_mandir}/man1/sconsign.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES.txt LICENSE.txt README.txt RELEASE.txt
%{_bindir}/scons
%{_bindir}/sconsign
%{_libdir}/scons
%{_mandir}/man1/scons.1*
%{_mandir}/man1/sconsign.1*

%changelog
* Wed Oct 30 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- initial build
